TBinaryProtocol.Factory (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class TBinaryProtocol.Factory

    java.lang.Object
      org.apache.thrift.protocol.TBinaryProtocol.Factory
          org.apache.cassandra.thrift.TBinaryProtocol.Factory

All Implemented Interfaces:
  java.io.Serializable, org.apache.thrift.protocol.TProtocolFactory

Enclosing class:
  TBinaryProtocol

    public static class TBinaryProtocol.Factory

extends org.apache.thrift.protocol.TBinaryProtocol.Factory

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.thrift.protocol.TBinaryProtocol.Factory
`readLength_, strictRead_, strictWrite_`

Constructor Summary
`TBinaryProtocol.Factory()`
`TBinaryProtocol.Factory(boolean strictRead, boolean strictWrite)`
`TBinaryProtocol.Factory(boolean strictRead, boolean strictWrite, int readLength)`

Method Summary
`org.apache.thrift.protocol.TProtocol` | `getProtocol(org.apache.thrift.transport.TTransport trans)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBinaryProtocol.Factory

    public TBinaryProtocol.Factory()

### TBinaryProtocol.Factory

    public TBinaryProtocol.Factory(boolean strictRead,
                                   boolean strictWrite)

### TBinaryProtocol.Factory

    public TBinaryProtocol.Factory(boolean strictRead,
                                   boolean strictWrite,
                                   int readLength)

Method Detail

### getProtocol

    public org.apache.thrift.protocol.TProtocol getProtocol(org.apache.thrift.transport.TTransport trans)

  Specified by:
    `getProtocol` in interface `org.apache.thrift.protocol.TProtocolFactory`
  Overrides:
    `getProtocol` in class `org.apache.thrift.protocol.TBinaryProtocol.Factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation